//添加记录
$("#footbt").click(function() {
	$("#fly-menu").fadeIn(500);
	$("#money").val("");
	$("#textarea").val("");
})

//切换弹出窗口收入支出按钮类型
$("#tapbt").click(function() {
	var thisClass = $(this).attr("class");
	if(thisClass.indexOf("income") != -1) {
		$(this).attr("class", "mui-btn mui-btn-danger mui-icon mui-icon-upload pay-bt");
		$(this).val("pay");
		$(this).html("&nbsp;&nbsp;支出")
	} else {
		$(this).attr("class", "mui-btn mui-btn-success mui-icon mui-icon-download income-bt");
		$(this).val("income");
		$(this).html("&nbsp;&nbsp;收入");
	}
})

//完成添加按钮
$("#finishbt").click(function() {
	type = $("#tapbt").val();
	money = $("#money").val();
	info = $("#textarea").val();
	if(money == "") {
		$("#money").attr("placeholder", "金额不能为空！");
	} else {
		//完成，退出
		$("#fly-menu").fadeOut(0);
		updateMoneySum(type,money);
        addChild(type,money,info);
        addInfo(type,money,info);
	}
})

function addChild(type, money, info){
    child = childproduct(type, money, info);
    arr = document.getElementById("OA_task_1").children;
    if(arr.length == 0) {
    	$("#OA_task_1").append(child);
    } else {
    	$(child).insertBefore(arr[0]);
    }
}

//html向安卓发送记录
function addInfo(type, money, info) {
    money = parseFloat(money);
    if(type == "income") {
        Android.addIncomeByIncomeList(money,info);
    }else{
        Android.addPayByPayList(money,info);
    }
}

//生成子节点
function childproduct(type, money, info) {
	var child;
	if(type == "income") {
		//收入
		child = "<li class='mui-table-view-cell income'><div class='mui-slider-right mui-disabled'><a class='mui-btn mui-btn-yellow viewinfo'>查看</a><a class='mui-btn mui-btn-red delete'>删除</a></div><div class='mui-slider-handle' style='background-color: rgba(76, 216, 34, 0);'><span class='mui-icon mui-icon-download'></span><span style='padding-left: 20px;'><span style='font-size: 20px;' class='record-num'>" + money + "</span></span><span style='display: none;' class='record-description'>" + info + "</span></div></li>";
	} else {
		//支出
		child = "<li class='mui-table-view-cell pay'><div class='mui-slider-right mui-disabled'><a class='mui-btn mui-btn-yellow viewinfo'>查看</a><a class='mui-btn mui-btn-red delete'>删除</a></div><div class='mui-slider-handle' style='background-color:rgba(255,83,77,0);'><span class='mui-icon mui-icon-upload'></span><span style='padding-left: 20px;'><span style='font-size: 20px;' class='record-num'>" + money + "</span></span><span style='display: none;' class='record-description'>" + info + "</span></div></li>";
	}
	return child;
}

//计算收入支出
function updateMoneySum(type,money){
    var index = new Date().getMonth();
	if(type == "income") {
		//收入
		incomeMoney += parseFloat(money);
		$("#incomemoney").html(incomeMoney);
		Android.setIncomeArr(Android.getIncomeArr(index) + incomeMoney,index);
	} else {
		//支出
		payMoney += parseFloat(money);
		$("#paymoney").html(payMoney);
		Android.setExpenditureArr(Android.getExpenditureArr(index) + payMoney,index);
	}
	var newType = Android.getNewType();
	if(newType == Android.getCurrType()){
		if(newType){
			Android.setNewType(false);
		}else{
			Android.setNewType(true);
		}
	}
}

//关闭弹出窗口
$("#closemenu").click(function() {
	$("#fly-menu").fadeOut(500);
})