//当前日期
currDate = new Date();
//获得当月一共有多少天
maxDay = getMaxDay(currDate);
//获得当月第一天星期几
firstDay = getFistDay(currDate);
//初始化，显示当前日历
showData(firstDay, maxDay, currDate);

//当前显示的年
currShowYear = currDate.getFullYear();
//当前显示的月
currShowMonth = currDate.getMonth(); //0-11
$("#month-info").html(currShowYear + "-" + (currShowMonth+1));

$("#nextMonth").click(function() {
	if(++currShowMonth >= 12) {
		currShowYear++;
		currShowMonth = 0; //0为1月
	}
	info = currShowYear + "-" + (currShowMonth + 1);
	$("#month-info").html(info);
	theCurrDate = new Date(currShowYear, currShowMonth);
	theMaxDay = getMaxDay(theCurrDate);
	theFirstDay = getFistDay(theCurrDate);
	showData(theFirstDay, theMaxDay, theCurrDate);
});

$("#lastMonth").click(function() {
	if(--currShowMonth < 0) {
		currShowYear--;
		currShowMonth = 11; //0为1月
	}
	info = currShowYear + "-" + (currShowMonth + 1);
	$("#month-info").html(info);
	theCurrDate = new Date(currShowYear, currShowMonth);
	theMaxDay = getMaxDay(theCurrDate);
	theFirstDay = getFistDay(theCurrDate);
	showData(theFirstDay, theMaxDay, theCurrDate);
})

//得到当月一共有多少天
function getMaxDay(theCurrDate) {
	return new Date(theCurrDate.getFullYear(), theCurrDate.getMonth() + 1, 0).getDate();
}

//获得当月第一天星期几
function getFistDay(theCurrDate) {
	return new Date(theCurrDate.getFullYear(), theCurrDate.getMonth(), 1).getDay();
}

//显示日历
function showData(theFirstDay, theMaxDay, theCurrDate) {
	$(".day").html("");
	$(".day").attr("class", "");
	for(i = 1; i <= theMaxDay; i++) {
		dateID = "day" + theFirstDay;
		$("#" + dateID).html(i);
		$("#" + dateID).attr("class", "day date-bgc");
		if(++theFirstDay > 34) {
			theFirstDay = 0;
		}
	}
	if(theCurrDate.getFullYear() == currDate.getFullYear() && theCurrDate.getMonth() == currDate.getMonth()) {
		currID = currDate.getDate() + getFistDay(currDate) - 1;
		currDayID = "day" + currID;
		$("#" + currDayID).addClass("curr-day");
	}
}